Skip to main content

/cosmos/staking/v1beta1/params

GET

Parameters queries the staking parameters.
Responses
params holds all the parameters of this module.
unbonding_timestring
unbonding_time is the time duration of unbonding.
max_validatorsinteger
Maximum number of validators.
max_entriesinteger
max_entries is the max entries for either unbonding delegation or redelegation (per pair/trio).
historical_entriesinteger
historical_entries is the number of historical entries to persist.
bond_denomstring
bond_denom defines the bondable coin denomination.
min_commission_ratestring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-babylon-mainnet.nodit.io/cosmos/staking/v1beta1/params' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'